Bug 479804 - X locks up on Intel 845G after upgrade to kernel-2.6.28-1.fc10
X locks up on Intel 845G after upgrade to kernel-2.6.28-1.fc10
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 03:20 EST by Joachim Frieben
Modified: 2009-09-06 13:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 13:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for Intel 845G and kernel-2.6.28-1.fc10 (20.86 KB, text/plain)
2009-01-13 03:20 EST, Joachim Frieben
no flags Details
DRM related errors message in /var/log/messages (446 bytes, text/plain)
2009-01-13 03:23 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-01-13 03:20:34 EST
Created attachment 328844 [details]
Xorg.0.log for Intel 845G and kernel-2.6.28-1.fc10

Description of problem:
After upgrading to kernel-2.6.28-1.fc10.i686, X refuses to start on an Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3.

Version-Release number of selected component (if applicable):
kernel-2.6.28-1.fc10.i686

How reproducible:
Always.

Steps to Reproduce:
1. Boot w/kernel 2.6.28-1.fc10
  
Actual results:
At the point of launching GDM, X stays in an endless loop of attempting to start the server but fails and starts over. No reaction to keyboard input. System needs to be reset.

Expected results:
X is launched successfully.

Additional info:
- last message in Xorg.0.log is

   "Fatal server error:
    Couldn't bind memory for BO front buffer"

- last working kernel is 2.6.27.10-169.fc10.i686
- there are some DRM related error messages in /var/log/messages,
  thus libdrm might need to be updated as well.
Comment 1 Joachim Frieben 2009-01-13 03:23:01 EST
Created attachment 328845 [details]
DRM related errors message in /var/log/messages

One instance of this error message is spawned to /var/log/messages for every failed attempt to start X.
Comment 2 Chuck Ebbert 2009-01-21 10:42:56 EST
Can you try 2.6.28.1-17 ?
Comment 3 Joachim Frieben 2009-01-22 04:43:16 EST
(In reply to comment #2)
> Can you try 2.6.28.1-17 ?

Package kernel-2.6.28.1-17.i686 fails identically.
Comment 4 Joachim Frieben 2009-01-31 03:39:35 EST
The latest 2.6.29 update candidate fails as earlier 2.6.28.x kernels.
  2.6.27.14-170.2.10.rc1.fc10.i686 [+]
  2.6.29-0.6.rc3.f10.i686 [-]
Comment 5 Vedran Miletić 2009-09-06 05:01:56 EDT
How about current rawhide (Fedora 12 Snap1)?
Comment 6 Joachim Frieben 2009-09-06 10:16:41 EDT
Fedora 12 Snap1 is ok but that's 1 1/2 releases ahead of F10.
Comment 7 Vedran Miletić 2009-09-06 13:21:26 EDT
Then it might also work in Fedora 11.

Backport to Fedora 10 would require too much work (new X, new intel driver, etc.), so it isn't likely to happen.

Note You need to log in before you can comment on or make changes to this bug.